require "amazon_s3_index_proxy/engine"
require "amazon_s3_index_proxy/proxy"

module AmazonS3IndexProxy
  mattr_accessor :index_file_url
  mattr_accessor :cache_key_prefix
  mattr_accessor :expires_in

  self.cache_key_prefix = 'amazon_s3_index_proxy'
  self.expires_in = 1.minute

  def self.configure
    yield self
  end

  ConfigurationMissing = Class.new(StandardError)
end
